PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
PSet< T >::const_iterator Class Reference

`#include <dict.h>`

Inheritance diagram for PSet< T >::const_iterator:
[legend]
Collaboration diagram for PSet< T >::const_iterator:
[legend]

## Public Member Functions
| const_iterator ()
const_iterator | operator++ ()
const_iterator | operator-- ()
const_iterator | operator++ (int)
const_iterator | operator-- (int)
const T * | operator-> () const
const T & | operator* () const
Public Member Functions inherited from PSet< T >::iterator_base
bool | operator== (const iterator_base &it) const
bool | operator!= (const iterator_base &it) const

## Protected Member Functions
| const_iterator (PHashTableInfo *t)
| const_iterator (PHashTableInfo *t, const T &k)
Protected Member Functions inherited from PSet< T >::iterator_base
| iterator_base ()
| iterator_base (PHashTableInfo *t)
| iterator_base (PHashTableInfo *t, const T &k)
void | Next ()
void | Prev ()
T * | Ptr () const

## Additional Inherited Members
Protected Attributes inherited from PSet< T >::iterator_base
PHashTableInfo * | table
PHashTableElement * | element

## Constructor & Destructor Documentation

template<class T>

PSet< T >::const_iterator::const_iterator | ( | PHashTableInfo * | t | ) |
| inline protected

template<class T>

PSet< T >::const_iterator::const_iterator | ( | PHashTableInfo * | t,
|  | const T & | k
| ) |  |
| inline protected

template<class T>

PSet< T >::const_iterator::const_iterator | ( |  | ) |
| inline

## Member Function Documentation

template<class T>

const T& PSet< T >::const_iterator::operator* | ( |  | ) | const
| inline

References PSet< T >::iterator_base::Ptr().

template<class T>

const_iterator PSet< T >::const_iterator::operator++ | ( |  | ) |
| inline

References PSet< T >::iterator_base::Next().

template<class T>

const_iterator PSet< T >::const_iterator::operator++ | ( | int |  | ) |
| inline

References PSet< T >::iterator_base::Next().

template<class T>

const_iterator PSet< T >::const_iterator::operator-- | ( |  | ) |
| inline

References PSet< T >::iterator_base::Prev().

template<class T>

const_iterator PSet< T >::const_iterator::operator-- | ( | int |  | ) |
| inline

References PSet< T >::iterator_base::Prev().

template<class T>

const T* PSet< T >::const_iterator::operator-> | ( |  | ) | const
| inline

References PSet< T >::iterator_base::Ptr().

The documentation for this class was generated from the following file:

- dict.h